Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTConceptDefinition

All Superinterfaces:
  `IASTAttributeOwner`, `IASTDeclaration`, `IASTNameOwner`, `IASTNode`

public interface ICPPASTConceptDefinition extends IASTDeclaration, IASTNameOwner, IASTAttributeOwner
Represents a C++ concept definition.

Since:
  9.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`CONCEPT_NAME`
`CONCEPT_NAME` is the name that is brought into the local scope.
`static final ASTNodeProperty`
`CONSTRAINT_EXPRESSION`
`CONSTRAINT_EXPRESSON` is constraint expression.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTExpression`
`getExpression()`
Returns the constraint expression.
`IASTName`
`getName()`
Returns the constraint name.
`void`
`setExpression(IASTExpression expr)`
Sets the constraint expression.
`void`
`setName(IASTName name)`
Sets the constraint name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### CONCEPT_NAME

static final ASTNodeProperty CONCEPT_NAME
`CONCEPT_NAME` is the name that is brought into the local scope.

### CONSTRAINT_EXPRESSION

static final ASTNodeProperty CONSTRAINT_EXPRESSION
`CONSTRAINT_EXPRESSON` is constraint expression.

## Method Details

### getName

IASTName getName()
Returns the constraint name.

Returns:
  `IASTName`

### setName

void setName(IASTName name)
Sets the constraint name.

Parameters:
  `name` - `IASTName`

### getExpression

IASTExpression getExpression()
Returns the constraint expression.

Returns:
  `IASTExpression`

### setExpression

void setExpression(IASTExpression expr)
Sets the constraint expression.

Parameters:
  `name` - `IASTExpression`